# $Revision: 1.15 $, $Date: 2007-12-24 17:29:31 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Language
%define		pnam	Mumps
Summary:	Language::Mumps Perl module to translate MUMPS programs to Perl scripts
Summary(pl.UTF-8):	Moduł Perla Language::Mumps tłumaczący programy w MUMPS na skrypty Perla
Name:		perl-Language-Mumps
Version:	1.08
Release:	1
License:	free use, but modifications must be notified to the author
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Language/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8bfae9bbbc7588f30196b28000dd4fc9
URL:		http://search.cpan.org/dist/Language-Mumps/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package implements a MUMPS to Perl compiler. A script for
interpreting and running MUMPS programs is now supplied. The standard
library is based on MumpsVM, another free MUMPS implementation.

%description -l pl.UTF-8
Ten pakiet jest implementacją MUMPS. Dołączony jest także skrypt do
interpretowania i uruchamiania programów w MUMPS. Standardowa
biblioteka jest bazowana na MumpsVM, innej wolnodostępnej
implementacji MUMPS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README examples/*
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Language/Mumps.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Language-Mumps.spec,v $
Revision 1.15  2007-12-24 17:29:31  qboosh
- generic URL

Revision 1.14  2007-12-24 02:17:05  zbyniu
- up to 1.08

Revision 1.13  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.11  2004/11/03 22:30:29  paladine
- formatting

Revision 1.10  2004/05/06 18:20:26  ankry
- fixed perl-devel BR

Revision 1.9  2003/08/18 08:08:54  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:45  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:34  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:40:13  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:35:14  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/05 16:18:56  ankry
- autoupdated to 1.07

Revision 1.1  2002/07/13 23:13:46  qboosh
- new
